Summary:	Utility for converting FIG files (made by xfig) to other formats
Name:		transfig
Version:	3.2.8b
Release:        3%{?dist}
License:	MIT
URL:		https://sourceforge.net/projects/mcj/
Source0:	http://downloads.sourceforge.net/mcj/fig2dev-%{version}.tar.xz
Patch3000:      0001-Correct-a-typo-causing-incorrect-eps-import-137.patch

BuildRequires:	make gcc libtool
BuildRequires:	libpng-devel libjpeg-devel libXpm-devel ghostscript

Requires:       ghostscript netpbm-progs bc

%description
The transfig utility creates a makefile which translates FIG (created
by xfig) or PIC figures into a specified LaTeX graphics language (for
example, PostScript(TM)).  Transfig is used to create TeX documents
which are portable (i.e., they can be printed in a wide variety of
environments).


%prep
%autosetup -p1 -n fig2dev-%{version}

iconv -f ISO-8859-15 -t UTF-8 man/fig2dev.1.in -o fig2dev.1.in.new
touch -r man/fig2dev.1.in fig2dev.1.in.new
mv fig2dev.1.in.new man/fig2dev.1.in


%build
autoreconf -fiv
%configure --enable-transfig
%make_build


%install
%make_install


%files
%doc CHANGES transfig/doc/manual.pdf
%{_bindir}/transfig
%{_bindir}/fig2dev
%{_bindir}/fig2ps2tex
%{_bindir}/pic2tpic
%{_datadir}/fig2dev/i18n/*.ps
%{_mandir}/man1/*.1.gz


%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.2.8b-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.2.8b-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Mar 07 2023 cunshunxia <cunshunxia@tencent.com> - 3.2.8b-1
- initial build
